(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./RoundedRectDrawer.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadRoundedRectShape = loadRoundedRectShape;
    const engine_1 = require("@tsparticles/engine");
    const RoundedRectDrawer_js_1 = require("./RoundedRectDrawer.js");
    async function loadRoundedRectShape(engine, refresh = true) {
        (0, engine_1.assertValidVersion)(engine, "3.7.1");
        await engine.addShape(new RoundedRectDrawer_js_1.RoundedRectDrawer(), refresh);
    }
});
